#
# spec file for package l-smash
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           l-smash
Version:	20140421
Release:	1.1
License:	BSD-3-Clause
Summary:	A simple tool for MP4
Url:	https://github.com/l-smash/l-smash
Group:	System/Libraries
Source:	%{name}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - make liblsmash.so.0.0.0
Patch:	0001-add-soname.patch
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - importer.h is needed by x264_tMod
Patch1:	%{name}-install_importer.h.patch
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - remove __DATE__ and __TIME__
Patch2:	%{name}-DATE_TIME.patch
BuildRequires:	pkg-config
Requires:	liblsmash0 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork. 
Yet another opensource mp4 handler™ 

%package -n liblsmash0
Summary:	Libraries of L-SMASH
Group:		System/Libraries

%description -n liblsmash0
Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork.
Yet another opensource mp4 handler™

This package provides runtime libraries for L-SMASH.

%package devel
Summary:	Development headers for L-SMASH
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}

%description devel
Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork.
Yet another opensource mp4 handler™

This package provides development headers for L-SMASH.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
./configure --prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-static \
	--enable-shared
make %{?_smp_mflags}

%install
%make_install

%post -n liblsmash0 -p /sbin/ldconfig

%postun -n liblsmash0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/boxdumper
%{_bindir}/muxer
%{_bindir}/remuxer
%{_bindir}/timelineeditor

%files -n liblsmash0
%defattr(-,root,root)
%{_libdir}/liblsmash.so.0

%files devel
%defattr(-,root,root)
%{_includedir}/lsmash.h
%{_includedir}/lsmash_importer.h
%{_libdir}/liblsmash.so
%{_libdir}/pkgconfig/liblsmash.pc

%changelog
* Mon Apr 21 2014 i@margueirte.su
- initial version 20140421
